Redmine - Defect #6182

Localized decimal numbers
2010-08-20 11:04 - Petr Pospisil

Status: Closed Start date: 2010-08-20
Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version:

Description

Hi, how do | adjust the settings so | can enter localized decimal numbers to custom fields? | cannot find something to change decimal
point to decimal comma. The "number.human.format.*" in the locals has effect only to show form (included in helpers -
number_to_currency etc.). If you are adding a new numbers the english format is forced.

| have founded http://github.com/clemens/delocalize or
http://gem-session.com/2010/03/how-to-use-the-comma-as-decimal-separator-in-rails-activerecord-columns-and-text-fields, but
pulling a cat's tail seems to be better fun :-).

Thanks for a reply.
Regards

Petr

Related issues:
Related to Redmine - Feature #8079: Support localized digits New 2011-04-05
Related to Redmine - Feature #22024: Support localized decimal separators for... Closed

History

#1 - 2010-09-06 11:49 - Azamat Hackimov

- Category set to Translations

#2 - 2010-11-29 20:36 - Jean-Philippe Lang

- Category changed from Translations to 118n

#3 - 2011-04-05 14:14 - Etienne Massip

- Target version set to Candidate for next major release

#4 - 2012-06-06 13:37 - Radek Karban

+1

#5 - 2012-10-29 15:11 - Daniel Felix

+1

#6 - 2013-06-05 13:28 - Johan Hornof

+1

#7 - 2013-09-20 10:45 - Francesco V

+1

#8 - 2013-11-13 17:21 - Bruno Medeiros

| need this, any known workaround?

#9 - 2016-08-23 20:09 - Herman Suszkewciz

+1
http://github.com/clemens/delocalize
http://gem-session.com/2010/03/how-to-use-the-comma-as-decimal-separator-in-rails-activerecord-columns-and-text-fields

#10 - 2016-08-24 01:32 - Herman Suszkewciz
| did it.
Workaround with Custom JS Plugin and example JS http:/www.redmine.org/boards/4/topics/44418

#11 - 2024-01-01 09:07 - Go MAEDA

- Related to Feature #22024: Support localized decimal separators for float values added

#12 - 2024-01-04 08:12 - Go MAEDA

- Status changed from New to Closed

- Priority changed from High to Normal

- Target version deleted (Candidate for next major release)

- Resolution set to Duplicate

The feature was added by #22024 for the upcoming Redmine 6.0.0.
